> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/api-docs/geopard-api-requests-overview/notes-pins/25.-mutation-save-note-attached-to-field.md).

# 25. Mutation: Save "Note" attached to "Field"

This mutation allows you to attach a Note to a specified Field.

* A Note can be linked to the Field via its unique identifier `fieldUuid`.&#x20;
* The coordinate of the Note can be set using the `centroid` attribute, which requires defined `latitude` and `longitude` values.&#x20;
* The type of Note can be specified using the `type` attribute with acceptable values of `PLANNED` or `REAL`.&#x20;
* The description of the Note can be provided using the `comment` attribute. If the description needs to be multiline, the `comment` attribute should contain a string with newline characters `\\n` to separate lines. For example: `"First line. is here\\nSecond line is here.\\nThird line is here."`.

The sample requests can be found below:

```graphql
mutation SaveNoteAttachedToField {
  saveNote(input:{
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    centroid: {
      latitude: 51.177747, 
      longitude:  -113.533613
    },
    type: PLANNED,
    comment: "The test note attached to Field"
  } ) {
    uuid
    fieldUuid
    centroid {
      latitude
      longitude
    }
    createdDate
    updatedDate
    type
    comment
  }
}
```

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation SaveMultiLineNoteAttachedToField {
  saveNote(input:{
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    centroid: {
      latitude: 51.177747, 
      longitude:  -113.533613
    },
    type: PLANNED,
    comment: "First line. is here\\nSecond line is here.\\nThird line is here."
  } ) {
    uuid
    fieldUuid
    centroid {
      latitude
      longitude
    }
    createdDate
    updatedDate
    type
    comment
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/api-docs/geopard-api-requests-overview/notes-pins/25.-mutation-save-note-attached-to-field.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
